print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceraeucherforelle = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local raeucherforelleHudFile = "Paletten/hud_fill_raeucherforelle.dds"
	local raeucherforelleHudFileSmall = "Paletten/hud_fill_raeucherforelle_sml.dds"
	
    local raeucherforelleFilType = g_fillTypeManager:addFillType("RAEUCHERFORELLE", g_i18n:getText("raeucherforelle"), true, priceraeucherforelle * 2.3, 0.00045, math.rad(10), raeucherforelleHudFile, raeucherforelleHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasraeucherforelle=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasraeucherforelle=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "RAEUCHERFORELLE" then
		hasraeucherforelle=true
	end;
		
end;

		if hasmaize and not hasraeucherforelle then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("RAEUCHERFORELLE")
		local price = g_fillTypeManager:getFillTypeByName("RAEUCHERFORELLE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("RAEUCHERFORELLE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)